/* system_machine.h.in.  Generated automatically from configure.in by autoheader.  */
/*
 * $Id: acconfig.h,v 1.1 1997/05/18 21:59:42 grubba Exp $
 *
 * System dependant definitions for the system module for Pike
 *
 * Henrik Grubbström 1997-01-20
 */
 
#ifndef SYSTEM_MACHINE_H
#define SYSTEM_MACHINE_H
 

/* Define if you have the chroot function.  */
#undef HAVE_CHROOT

/* Define if you have the endpwent function.  */
#undef HAVE_ENDPWENT

/* Define if you have the fchroot function.  */
#undef HAVE_FCHROOT

/* Define if you have the geteuid function.  */
#undef HAVE_GETEUID

/* Define if you have the gethostbyname function.  */
#undef HAVE_GETHOSTBYNAME

/* Define if you have the gethostname function.  */
#undef HAVE_GETHOSTNAME

/* Define if you have the getpgid function.  */
#undef HAVE_GETPGID

/* Define if you have the getpgrp function.  */
#undef HAVE_GETPGRP

/* Define if you have the getppid function.  */
#undef HAVE_GETPPID

/* Define if you have the getpwent function.  */
#undef HAVE_GETPWENT

/* Define if you have the getpwnam function.  */
#undef HAVE_GETPWNAM

/* Define if you have the getspnam function.  */
#undef HAVE_GETSPNAM

/* Define if you have the initgroups function.  */
#undef HAVE_INITGROUPS

/* Define if you have the link function.  */
#undef HAVE_LINK

/* Define if you have the readlink function.  */
#undef HAVE_READLINK

/* Define if you have the setegid function.  */
#undef HAVE_SETEGID

/* Define if you have the seteuid function.  */
#undef HAVE_SETEUID

/* Define if you have the setgroups function.  */
#undef HAVE_SETGROUPS

/* Define if you have the setpwent function.  */
#undef HAVE_SETPWENT

/* Define if you have the setresgid function.  */
#undef HAVE_SETRESGID

/* Define if you have the setresuid function.  */
#undef HAVE_SETRESUID

/* Define if you have the symlink function.  */
#undef HAVE_SYMLINK

/* Define if you have the syslog function.  */
#undef HAVE_SYSLOG

/* Define if you have the uname function.  */
#undef HAVE_UNAME

/* Define if you have the <arpa/inet.h> header file.  */
#undef HAVE_ARPA_INET_H

/* Define if you have the <errno.h> header file.  */
#undef HAVE_ERRNO_H

/* Define if you have the <grp.h> header file.  */
#undef HAVE_GRP_H

/* Define if you have the <netdb.h> header file.  */
#undef HAVE_NETDB_H

/* Define if you have the <netinet/in.h> header file.  */
#undef HAVE_NETINET_IN_H

/* Define if you have the <passwd.h> header file.  */
#undef HAVE_PASSWD_H

/* Define if you have the <pwd.h> header file.  */
#undef HAVE_PWD_H

/* Define if you have the <shadow.h> header file.  */
#undef HAVE_SHADOW_H

/* Define if you have the <stdarg.h> header file.  */
#undef HAVE_STDARG_H

/* Define if you have the <sys/conf.h> header file.  */
#undef HAVE_SYS_CONF_H

/* Define if you have the <sys/socket.h> header file.  */
#undef HAVE_SYS_SOCKET_H

/* Define if you have the <sys/stat.h> header file.  */
#undef HAVE_SYS_STAT_H

/* Define if you have the <sys/syslog.h> header file.  */
#undef HAVE_SYS_SYSLOG_H

/* Define if you have the <sys/types.h> header file.  */
#undef HAVE_SYS_TYPES_H

/* Define if you have the <sys/utsname.h> header file.  */
#undef HAVE_SYS_UTSNAME_H

/* Define if you have the <syslog.h> header file.  */
#undef HAVE_SYSLOG_H

/* Define if you have the <unistd.h> header file.  */
#undef HAVE_UNISTD_H

/* Define if you have the bind library (-lbind).  */
#undef HAVE_LIBBIND

/* Define if you have the nsl library (-lnsl).  */
#undef HAVE_LIBNSL

/* Define if you have the socket library (-lsocket).  */
#undef HAVE_LIBSOCKET

/* Define if you have solaris stype gethostbyname_r.  */
#undef HAVE_SOLARIS_GETHOSTBYNAME_R
 
/* Define if you have OSF1 stype gethostbyname_r.  */
#undef HAVE_OSF1_GETHOSTBYNAME_R
 
/* Define if you have h_addr_list in the hostent struct */
#undef HAVE_H_ADDR_LIST

#endif /* SYSTEM_MACHINE_H */
